# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Autogenerated by pycargoebuild 0.13.2

EAPI=8

CRATES="
	base64@0.22.0
	bitflags@2.5.0
	cfg-if@1.0.0
	dirs-sys@0.4.1
	dirs@5.0.1
	equivalent@1.0.1
	getrandom@0.2.14
	hashbrown@0.14.3
	indexmap@2.2.6
	libc@0.2.153
	libredox@0.1.3
	memchr@2.7.2
	option-ext@0.2.0
	proc-macro2@1.0.81
	quote@1.0.36
	redox_users@0.4.5
	serde@1.0.198
	serde_derive@1.0.198
	serde_spanned@0.6.5
	syn@2.0.60
	thiserror-impl@1.0.59
	thiserror@1.0.59
	toml@0.8.12
	toml_datetime@0.6.5
	toml_edit@0.22.12
	unicode-ident@1.0.12
	wasi@0.11.0+wasi-snapshot-preview1
	windows-sys@0.48.0
	windows-targets@0.48.5
	windows_aarch64_gnullvm@0.48.5
	windows_aarch64_msvc@0.48.5
	windows_i686_gnu@0.48.5
	windows_i686_msvc@0.48.5
	windows_x86_64_gnu@0.48.5
	windows_x86_64_gnullvm@0.48.5
	windows_x86_64_msvc@0.48.5
	winnow@0.6.6
"

inherit cargo desktop xdg

DESCRIPTION="Play website videos and songs with mpv & yt-dlp"
HOMEPAGE="https://github.com/akiirui/mpv-handler"
SRC_URI="
	${CARGO_CRATE_URIS}
	https://github.com/akiirui/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
"

LICENSE="MIT"
# Dependent crate licenses
LICENSE+=" MIT MPL-2.0 Unicode-DFS-2016"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="strip"

RDEPEND="
	media-video/mpv
"

src_install() {
	dobin "target/release/mpv-handler"
	dodoc "share/linux/config.toml"
	domenu "share/linux/mpv-handler.desktop"
}

pkg_postinst() {
	xdg_pkg_postinst
	elog "install net-misc/youtube-dl (recommended) or net-misc/yt-dlp"
	elog "to enable mpv to play video and music from the websites."
}
